#!/bin/sh
#
# Version: 1
#
######################################################################################
# Objet du script:
#       Le but de ce script est de rpondre au cahier des charges,  la partie prsence de process.
#       Dans le fichier de configuration ( $BBHOME/etc/bb-process-cfg.sh), il est possible de
#       configurer les diffrents termes recherchs, dans les processus en cours d'execution..
######################################################################################
#
# Change History:
#
######################################################################################
#
# Set up BBPROG Variable
#
BBPROG=bb-process.sh; export BBPROG
#
# Set up Column Name for display
#
TEST="process"
#
# BBHOME Variable is set up from runbb.sh.
#
if test "$BBHOME" = ""
then
        echo "BBHOME is not set... exiting"
        exit 1
fi
#
# The name of the configuration file
#
BBPROCESSCONFIG=$BBHOME/etc/bb-process-cfg.sh
#
# Get variables in bbdef.sh if BBTMP not setup
        #
if test ! "$BBTMP"
then
         # echo "*** LOADING BBDEF ***"
        . $BBHOME/etc/bbdef.sh          # INCLUDE
fi

if [ ! -r $BBPROCESSCONFIG ]
then
	echo "Configuration file $BBPROCESSCONFIG not found... exiting"
	exit 1
else
	# echo "*** LOADING $BBPROCESSCONFIG ***"
	. $BBPROCESSCONFIG
fi

#=====================================================================
#     Processus contenant NOM
#=====================================================================
#
# echo "*** Processus en cours ***"
chaine1="Processus contenant la chaine :"
COLOR="green"
#si nom1 n'est pas vide alors on recherche dans les proc en cours,
#ceux dont le nom contient la chaine nom1
if   test "$NOM1" ;
        then resultat1=` ps -haux | grep "$NOM1" | $AWK '{ print $resultat1 }'  ` ;
        else resultat1=" -------------- non initialis -------------";
fi
#Pb:resultat n est jamais vide car on a toujours grep NOM
if test "$resultat1";
        then COLOR="green" ;
else COLOR="yellow";
fi
#=====================================================================
#     Processus nomm exactement NOM
#=====================================================================
#
chaine2="Processus nomm :"
COLOR="green"

if test "$NOM2";
       then resultat2=`ps -haux |$AWK -F " " '{ if ($11= /'$NOM2'/) { print   $12}}' |sort |uniq ` ;
else resultat2=" --------- non initialis ----------";
fi
if test "$resultat2";
        then COLOR="green" ;
else COLOR="yellow";
  fi

 #=====================================================================
#     Processus commencant par NOM
#=====================================================================
#
chaine3="Processus commencant par la chaine :"
COLOR="green"

if  test "$NOM3" ;
      then resultat3=` ps -haux |$AWK -F " " '{ if ($11 ~ /^'$NOM3'/) { print $11 $12}}' |sort |uniq ` ;
 else resultat3=" --------- non initialis ---------";
fi
 if test "$resultat3";
        then COLOR="green" ;
else COLOR="yellow";
fi
#=====================================================================
#     Processus finissant par NOM
#=====================================================================
#
chaine4="Processus finissant par la chaine :"
COLOR="green"
if test "$NOM4";
       then resultat4=` ps -haux  |$AWK -F " " '{ if ($11 ~ /'$NOM4'$/) { print $11"  " $12 }}' |sort |uniq ` ;
 else resultat4=" ----------- non initialis ---------";
fi
 if test "$resultat4";
        then COLOR="green" ;
else COLOR="yellow";
 fi

if test "$resultat1" && "$resultat2"&&"$resultat3"&&"$resultat4" ;
        then COLOR="red" ;
fi
#
# NOW SEND THIS INFORMATION TO THE BIG BROTHER DISPLAY UNIT
#
bloc1="<br><br>$chaine1 $NOM1 <br> $resultat1 "
bloc2="<br><br>$chaine2 $NOM2 <br> $resultat2 "
bloc3="<br><br>$chaine3 $NOM3 <br> $resultat3 "
bloc4="<br><br>$chaine4 $NOM4 <br> $resultat4 "
#Envoi des donnes au serveur BB
$BB $BBDISP "status $MACHINE.process $COLOR `date` 
<br>$bloc1 <br>
<br>$bloc2 <br>
<br> $bloc3 <br>
<br>$bloc4 <br>
"






